%define name           basket
%define longtitle      BasKet for KDE
%define version        0.5.0
%define release        %mkrel 3


Name:           %name
Summary:        %longtitle
Version:        %version
Release:        %release
URL:           	http://basket.kde.org/
Source0:        %{name}-%{version}.tar.gz

Source1:        cr16-app-basket.png
Source2:	cr32-app-basket.png
Source3:	cr48-app-basket.png
Group:		Office
BuildRoot:      %{_tmppath}/%{name}-buildroot
License:	GPL
BuildRequires:  kdelibs-devel
Requires:	kdebase >= 3.0

%description
This application is mainly an all-purpose notes taker. 
It provide several baskets where to drop every sort of 
items: text, rich text, links, images, sounds, files, 
colors, application launcher...
Objects can be edited, copied, dragged... So, you can 
arrange them as you want !
This application can be used to quickly drop web objects 
(link, text, images...) or notes, as well as to free your 
clutered desktop (if any).
It is also useful to collect informations for a report. 
Those data can be shared with co-workers by exporting 
baskets to HTML.



%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q 

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --disable-rpath

%build



%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %name


# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="Office/Accessories" \
title="%name" longtitle="%{longtitle}"
EOF

#icons
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/basket
%{_menudir}/*

%{_iconsdir}/%{name}.png
%{_iconsdir}/crystalsvg/128x128/apps/%{name}.png
%{_iconsdir}/crystalsvg/16x16/apps/%{name}.png
%{_iconsdir}/crystalsvg/22x22/apps/%{name}.png
%{_iconsdir}/crystalsvg/32x32/apps/%{name}.png
%{_iconsdir}/crystalsvg/48x48/apps/%{name}.png
%{_iconsdir}/crystalsvg/64x64/apps/%{name}.png
%{_iconsdir}/crystalsvg/scalable/apps/%{name}.svg
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%{_datadir}/applnk/Utilities/basket.desktop
%{_datadir}/apps/basket/basketui.rc

%{_datadir}/doc/HTML/en/basket/*



%changelog
* Tue Jul 12 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.0-3mdk
- Fix File section

* Thu May 05 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.0-2mdk
- Fix BuildRequires 
- Fix Build For amd64

* Tue Apr 05 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.0-1mdk
- First release
